<?xml version="1.0" encoding="utf-8"?>

<!--
~ This file is part of FreedomBox.
~
~ FreedomBox is free software: you can redistribute it and/or modify
~ it under the terms of the GNU General Public License as published by
~ the Free Software Foundation, either version 3 of the License, or
~ (at your option) any later version.
~
~ FreedomBox is distributed in the hope that it will be useful,
~ but WITHOUT ANY WARRANTY; without even the implied warranty of
~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
~ GNU General Public License for more details.
~
~ You should have received a copy of the GNU General Public License
~ along with FreedomBox. If not, see <http://www.gnu.org/licenses/>.
-->

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/discoverySwipeRefresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <RelativeLayout
                android:id="@+id/configuredGroup"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="visible"
                tools:visibility="visible">

                <TextView
                    android:id="@+id/configured"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/blueGrey"
                    android:padding="10dp"
                    android:text="@string/configured" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/configuredListView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/configured"
                    android:scrollbars="vertical"
                    android:fadeScrollbars="true"
                    android:visibility="invisible"
                    tools:listitem="@layout/discovery_listview" />

            </RelativeLayout>

            <View
                android:id="@+id/centerShim"
                android:layout_height="0dp"
                android:layout_width="match_parent"
                android:visibility="invisible"
                android:layout_centerVertical="true"/>

            <RelativeLayout
                android:id="@+id/discoveredGroup"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/centerShim">

                <TextView
                    android:id="@+id/discovered"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/blueGrey"
                    android:padding="10dp"
                    android:text="@string/discovered" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/discoveredListView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:scrollbars="vertical"
                    android:fadeScrollbars="true"
                    android:visibility="visible"
                    android:layout_below="@+id/discovered" />

            </RelativeLayout>
        </RelativeLayout>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/fab"
        app:backgroundTint="#368EE9"
        app:srcCompat="@drawable/ic_add"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_alignParentEnd="true"
        android:layout_alignParentRight="true"
        android:layout_marginBottom="14dp"
        android:layout_marginEnd="14dp"
        android:layout_marginRight="14dp"
        android:orientation="vertical" />

    <TextView
        android:id="@+id/noConfiguredFreedomBoxes"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:layout_alignWithParentIfMissing="true"
        android:layout_centerInParent="false"
        android:layout_marginTop="121dp"
        android:text="@string/msg_no_configured_freedomboxes"
        android:textAlignment="center"
        android:textAllCaps="false"
        android:textStyle="italic"
        android:visibility="invisible" />

    <TextView
        android:id="@+id/noDiscoveredFreedomBoxes"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/fab"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:layout_alignWithParentIfMissing="true"
        android:layout_centerInParent="false"
        android:layout_marginBottom="65dp"
        android:text="@string/msg_no_discovered_freedomboxes"
        android:textAlignment="center"
        android:textAllCaps="false"
        android:textStyle="italic"
        android:visibility="invisible" />

</RelativeLayout>
